Update Corporate Customer
curl --request PUT \
--url https://waas-staging.embedly.ng/api/v1/corporate/customers/{customerId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"rcNumber": "<string>",
"tin": "<string>",
"fullBusinessName": "<string>",
"businessAddress": "<string>",
"countryId": "<string>",
"city": "<string>",
"email": "<string>",
"walletPreferredName": "<string>"
}
'import requests
url = "https://waas-staging.embedly.ng/api/v1/corporate/customers/{customerId}"
payload = {
"rcNumber": "<string>",
"tin": "<string>",
"fullBusinessName": "<string>",
"businessAddress": "<string>",
"countryId": "<string>",
"city": "<string>",
"email": "<string>",
"walletPreferredName": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rcNumber: '<string>',
tin: '<string>',
fullBusinessName: '<string>',
businessAddress: '<string>',
countryId: '<string>',
city: '<string>',
email: '<string>',
walletPreferredName: '<string>'
})
};
fetch('https://waas-staging.embedly.ng/api/v1/corporate/customers/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "00",
"success": true,
"message": "Updated Successfully",
"data": null
}
Corporate
Update Corporate Customer
This endpoint enables you to update a corporate customer profile
PUT
/
corporate
/
customers
/
{customerId}
Update Corporate Customer
Request Parameters
string
required
string
The RC number of the business. Example:
123456string
The Tax Identification Number (TIN) of the business. Example:
01234567-0001string
The registered full business name. Example:
Acme Technologies Limitedstring
The physical address of the business. Example:
12 Adeola Odeku Street, Victoria Island, Lagosstring
The unique identifier of the country. Example:
3fa85f64-5717-4562-b3fc-2c963f66afa6string
The city where the business is located. Example:
Lagosstring
The official business email address. Example:
user@example.comstring
The preferred display name for the business wallet. Example:
AcmeWallet{
"code": "00",
"success": true,
"message": "Updated Successfully",
"data": null
}
⌘I